CountInRange.
Statistical Operations

Primitives for computing the amount of pixels that fall into the specified intensity range. More...

## CountInRange

The lower bound and the upper bound are inclusive.

The functions require additional scratch buffer for computations.

### Common parameters for nppiCountInRange functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pCounts | Pointer to the number of pixels that fall into the specified range.
  nLowerBound | Lower bound of the specified range.
  nUpperBound | Upper bound of the specified range.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes, or NPP_RANGE_ERROR if the lower bound is larger than the upper bound.

NppStatus | nppiCountInRange_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, int *pCounts, Npp8u nLowerBound, Npp8u nUpperBound, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image CountInRange. More...
NppStatus | nppiCountInRange_8u_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, int *pCounts, Npp8u nLowerBound, Npp8u nUpperBound, Npp8u *pDeviceBuffer)
NppStatus | nppiCountInRange_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, int *pCounts, Npp32f nLowerBound, Npp32f nUpperBound, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| One-channel 32-bit floating point image CountInRange. More...
NppStatus | nppiCountInRange_32f_C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, int *pCounts, Npp32f nLowerBound, Npp32f nUpperBound, Npp8u *pDeviceBuffer)
NppStatus | nppiCountInRange_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, int aCounts[3], Npp8u aLowerBound[3], Npp8u aUpperBound[3], Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three-channel 8-bit unsigned image CountInRange. More...
NppStatus | nppiCountInRange_8u_C3R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, int aCounts[3], Npp8u aLowerBound[3], Npp8u aUpperBound[3], Npp8u *pDeviceBuffer)
NppStatus | nppiCountInRange_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, int aCounts[3], Npp32f aLowerBound[3], Npp32f aUpperBound[3], Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Three-channel 32-bit floating point image CountInRange. More...
NppStatus | nppiCountInRange_32f_C3R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, int aCounts[3], Npp32f aLowerBound[3], Npp32f aUpperBound[3], Npp8u *pDeviceBuffer)
NppStatus | nppiCountInRange_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, int aCounts[3], Npp8u aLowerBound[3], Npp8u aUpperBound[3], Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image CountInRange ignoring alpha channel. More...
NppStatus | nppiCountInRange_8u_AC4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, int aCounts[3], Npp8u aLowerBound[3], Npp8u aUpperBound[3], Npp8u *pDeviceBuffer)
NppStatus | nppiCountInRange_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, int aCounts[3], Npp32f aLowerBound[3], Npp32f aUpperBound[3], Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point image CountInRange ignoring alpha channel. More...
NppStatus | nppiCountInRange_32f_AC4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, int aCounts[3], Npp32f aLowerBound[3], Npp32f aUpperBound[3], Npp8u *pDeviceBuffer)

## CountInRangeGetBufferHostSize

Companion primitives for computing the device buffer size (in bytes) required by the CountInRange primitives.
NppStatus | nppiCountInRangeGetBufferHostSize_8u_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppiCountInRange_8u_C1R. More...
NppStatus | nppiCountInRangeGetBufferHostSize_8u_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiCountInRangeGetBufferHostSize_32f_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppiCountInRange_32f_C1R. More...
NppStatus | nppiCountInRangeGetBufferHostSize_32f_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiCountInRangeGetBufferHostSize_8u_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppiCountInRange_8u_C3R. More...
NppStatus | nppiCountInRangeGetBufferHostSize_8u_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiCountInRangeGetBufferHostSize_32f_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppiCountInRange_32f_C3R. More...
NppStatus | nppiCountInRangeGetBufferHostSize_32f_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiCountInRangeGetBufferHostSize_8u_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppiCountInRange_8u_AC4R. More...
NppStatus | nppiCountInRangeGetBufferHostSize_8u_AC4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiCountInRangeGetBufferHostSize_32f_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppiCountInRange_32f_AC4R. More...
NppStatus | nppiCountInRangeGetBufferHostSize_32f_AC4R (NppiSize oSizeROI, int *hpBufferSize)

## Detailed Description

Primitives for computing the amount of pixels that fall into the specified intensity range.

## Function Documentation

NppStatus nppiCountInRange_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | aCounts[3],
|  | Npp32f | aLowerBound[3],
|  | Npp32f | aUpperBound[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCountInRange_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | aCounts[3],
|  | Npp32f | aLowerBound[3],
|  | Npp32f | aUpperBound[3],
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point image CountInRange ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiCountInRange functions.

NppStatus nppiCountInRange_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int * | pCounts,
|  | Npp32f | nLowerBound,
|  | Npp32f | nUpperBound,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCountInRange_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int * | pCounts,
|  | Npp32f | nLowerBound,
|  | Npp32f | nUpperBound,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 32-bit floating point image CountInRange.

For common parameter descriptions, see Common parameters for nppiCountInRange functions.

NppStatus nppiCountInRange_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | aCounts[3],
|  | Npp32f | aLowerBound[3],
|  | Npp32f | aUpperBound[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCountInRange_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | aCounts[3],
|  | Npp32f | aLowerBound[3],
|  | Npp32f | aUpperBound[3],
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit floating point image CountInRange.

For common parameter descriptions, see Common parameters for nppiCountInRange functions.

NppStatus nppiCountInRange_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | aCounts[3],
|  | Npp8u | aLowerBound[3],
|  | Npp8u | aUpperBound[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCountInRange_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | aCounts[3],
|  | Npp8u | aLowerBound[3],
|  | Npp8u | aUpperBound[3],
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image CountInRange ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiCountInRange functions.

NppStatus nppiCountInRange_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int * | pCounts,
|  | Npp8u | nLowerBound,
|  | Npp8u | nUpperBound,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCountInRange_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int * | pCounts,
|  | Npp8u | nLowerBound,
|  | Npp8u | nUpperBound,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image CountInRange.

For common parameter descriptions, see Common parameters for nppiCountInRange functions.

NppStatus nppiCountInRange_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | aCounts[3],
|  | Npp8u | aLowerBound[3],
|  | Npp8u | aUpperBound[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppiCountInRange_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | int | aCounts[3],
|  | Npp8u | aLowerBound[3],
|  | Npp8u | aUpperBound[3],
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit unsigned image CountInRange.

For common parameter descriptions, see Common parameters for nppiCountInRange functions.

NppStatus nppiCountInRangeGetBufferHostSize_32f_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiCountInRangeGetBufferHostSize_32f_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppiCountInRange_32f_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiCountInRangeGetBufferHostSize_32f_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiCountInRangeGetBufferHostSize_32f_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppiCountInRange_32f_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiCountInRangeGetBufferHostSize_32f_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiCountInRangeGetBufferHostSize_32f_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppiCountInRange_32f_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiCountInRangeGetBufferHostSize_8u_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiCountInRangeGetBufferHostSize_8u_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppiCountInRange_8u_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiCountInRangeGetBufferHostSize_8u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiCountInRangeGetBufferHostSize_8u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppiCountInRange_8u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiCountInRangeGetBufferHostSize_8u_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiCountInRangeGetBufferHostSize_8u_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppiCountInRange_8u_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

Copyright © 2009-2018 NVIDIA Corporation